# Uses of Enum Class
javafx.geometry.Side

Packages that use Side
Package
Description
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.layout
Provides classes to support user interface layout.

## Uses of Side in javafx.geometry

Methods in javafx.geometry that return Side
Modifier and Type
Method
Description
`static Side`
Side.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Side[]`
Side.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Side in javafx.scene.chart

Methods in javafx.scene.chart that return Side
Modifier and Type
Method
Description
`final Side`
Chart.`getLegendSide()`
Gets the value of the `legendSide` property.
`final Side`
Axis.`getSide()`
Gets the value of the `side` property.
`final Side`
Chart.`getTitleSide()`
Gets the value of the `titleSide` property.
Methods in javafx.scene.chart that return types with arguments of type Side
Modifier and Type
Method
Description
`final ObjectProperty<Side>`
Chart.`legendSideProperty()`
The side of the chart where the legend should be displayed
`final ObjectProperty<Side>`
Axis.`sideProperty()`
The side of the plot which this axis is being drawn on
`final ObjectProperty<Side>`
Chart.`titleSideProperty()`
The side of the chart where the title is displayed
Methods in javafx.scene.chart with parameters of type Side
Modifier and Type
Method
Description
`final void`
Chart.`setLegendSide(Side value)`
Sets the value of the `legendSide` property.
`final void`
Axis.`setSide(Side value)`
Sets the value of the `side` property.
`final void`
Chart.`setTitleSide(Side value)`
Sets the value of the `titleSide` property.

## Uses of Side in javafx.scene.control

Methods in javafx.scene.control that return Side
Modifier and Type
Method
Description
`final Side`
MenuButton.`getPopupSide()`
Gets the value of the `popupSide` property.
`final Side`
TabPane.`getSide()`
The current position of the tabs in the TabPane.
Methods in javafx.scene.control that return types with arguments of type Side
Modifier and Type
Method
Description
`final ObjectProperty<Side>`
MenuButton.`popupSideProperty()`
Indicates on which side the `ContextMenu` should open in relation to the MenuButton.
`final ObjectProperty<Side>`
TabPane.`sideProperty()`
The position of the tabs in the TabPane.
Methods in javafx.scene.control with parameters of type Side
Modifier and Type
Method
Description
`final void`
MenuButton.`setPopupSide(Side value)`
Sets the value of the `popupSide` property.
`final void`
TabPane.`setSide(Side value)`
The position to place the tabs in this TabPane.
`void`
ContextMenu.`show(Node anchor, Side side, double dx, double dy)`
Shows the `ContextMenu` relative to the given anchor node, on the side specified by the `hpos` and `vpos` parameters, and offset by the given `dx` and `dy` values for the x-axis and y-axis, respectively.

## Uses of Side in javafx.scene.layout

Methods in javafx.scene.layout that return Side
Modifier and Type
Method
Description
`final Side`
BackgroundPosition.`getHorizontalSide()`
The side along the horizontal axis to which the BackgroundImage is anchored.
`final Side`
BackgroundPosition.`getVerticalSide()`
The side along the vertical axis to which the BackgroundImage is anchored.
Constructors in javafx.scene.layout with parameters of type Side
Modifier
Constructor
Description
``
`BackgroundPosition(Side horizontalSide, double horizontalPosition, boolean horizontalAsPercentage, Side verticalSide, double verticalPosition, boolean verticalAsPercentage)`
Creates a new BackgroundPosition.